## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 17
# Tests failed on i686 and armv7hl because of pre-generated binding
# https://github.com/not-fl3/miniquad/issues/220
%ifarch i686 armv7hl
%bcond_with check
%else
%bcond_without check
%endif
%global debug_package %{nil}

%global crate sapp-kms

Name:           rust-%{crate}
Version:        0.1.1
Release:        %autorelease
Summary:        Part of miniquad rendering library

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/sapp-kms
Source:         %{crates_source}
# Download readme and license files
# https://github.com/not-fl3/miniquad/issues/215
Source1:        https://raw.githubusercontent.com/not-fl3/miniquad/master/native/sapp-kms/README.md
Source2:        https://raw.githubusercontent.com/not-fl3/miniquad/master/native/sapp-kms/LICENSE-MIT
Source3:        https://raw.githubusercontent.com/not-fl3/miniquad/master/native/sapp-kms/LICENSE-APACHE

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Part of miniquad rendering library.  Orignally this was a sokol-app C code
transpiled to rust with c2rust and partially rewritten to more idiomatic rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-APACHE LICENSE-MIT
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep
cp %{SOURCE1} README.md
cp %{SOURCE2} LICENSE-MIT
cp %{SOURCE3} LICENSE-APACHE

%generate_buildrequires
%cargo_generate_buildrequires
echo "libdrm-devel"
echo "mesa-libgbm-devel"
echo "mesa-libEGL-devel"

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jun 19 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.1.1-2
- Reactivate i686 and armv7hl by removing tests for these arch

* Sat Jun 12 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.1.1-1
- Initial package

